Bug 125683

Summary: [GTK] [CMake] Build the WebKit2 GObject API tests
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Martin Robinson <mrobinson>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, gyuyoung.kim, rakuco
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 115966    
Attachments:
Description Flags
Patch
none
Patch gns: review-

Description Martin Robinson 2013-12-13 00:50:17 PST
We need CMake to build the WebKit2 GObject API tests.
Comment 1 Martin Robinson 2013-12-22 11:39:55 PST
Created attachment 219878 [details]
Patch
Comment 2 Martin Robinson 2013-12-22 11:40:38 PST
Created attachment 219879 [details]
Patch
Comment 3 Gustavo Noronha (kov) 2013-12-22 12:50:09 PST
Comment on attachment 219879 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=219879&action=review

hmm I'm confuse. This seems to also add the wk1 version of the GObject API tests!

> Source/PlatformGTK.cmake:3
> +if (ENABLE_WEBKIT)
> +    add_subdirectory(${WEBKIT_DIR}/gtk/tests)
> +endif ()

This actually makes more sense than the patch I r+ed in the other bug heh.
Comment 4 Martin Robinson 2013-12-22 13:11:33 PST
Comment on attachment 219878 [details]
Patch

Looks like I tried to get a bit too fancy with webkit-patch. I managed to upload the wrong patch to this bug and obsolete the real patch.
Comment 5 Martin Robinson 2013-12-22 13:11:55 PST
Comment on attachment 219878 [details]
Patch

The patch marked for review should be the real one now.
Comment 6 Daniel Bates 2013-12-23 13:10:04 PST
Comment on attachment 219879 [details]
Patch

Obsoleting patch per comment 5.
Comment 7 Daniel Bates 2013-12-23 13:30:28 PST
Comment on attachment 219878 [details]
Patch

This looks sane to me.
Comment 8 Martin Robinson 2013-12-23 13:46:17 PST
Comment on attachment 219878 [details]
Patch

Clearing flags on attachment: 219878

Committed r161016: <http://trac.webkit.org/changeset/161016>
Comment 9 Martin Robinson 2013-12-23 13:46:20 PST
All reviewed patches have been landed.  Closing bug.